/*******************************************************************************
 * SeqVar_Player generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqVar_Player extends SeqVar_Object
    native(Sequence)
    hidecategories(Object);

var transient array<Controller> Players;
var() bool bAllPlayers;
var() bool bReturnPawnIfPossible;
var() int PlayerIdx;

// Export USeqVar_Player::execUpdatePlayersList(FFrame&, void* const)
native final function UpdatePlayersList();

function Object GetObjectValue()
{
    local Controller C;

    UpdatePlayersList();
    // End:0x87
    if(Players.Length > 0)
    {
        // End:0x6A
        if((bAllPlayers || PlayerIdx < 0) || PlayerIdx >= Players.Length)
        {
            C = Players[0];
        }
        // End:0x87
        else
        {
            C = Players[PlayerIdx];
        }
    }
    // End:0xF6
    if(bReturnPawnIfPossible)
    {
        return (((C != none) && C.Pawn != none) ? C.Pawn : C);
    }
    // End:0x100
    else
    {
        return C;
    }
    //return ReturnValue;    
}

defaultproperties
{
    bAllPlayers=true
    SupportedClasses(0)=class'Controller'
    SupportedClasses(1)=class'Pawn'
    ObjName="Player"
}